<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0-windows</TargetFramework>
    <LangVersion>9.0</LangVersion>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>WIN32;TRACE;RELEASE;SERVER</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>BookRegistry.Server.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CheckForOverflowUnderflow>true</CheckForOverflowUnderflow>
    <NoWarn>1591,3021</NoWarn>
    <DefineConstants>WIN32;TRACE;SERVER</DefineConstants>
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
    <DocumentationFile>BookRegistry.Server.xml</DocumentationFile>
  </PropertyGroup>
<!--
  <ItemGroup>
    <ProjectReference Include="..\Client\BookRegistry.Client.csproj" />
  </ItemGroup>
-->
  <ItemGroup>
    <Reference Include="CommonHelpers">
      <!--<HintPath>$(HandicraftSDK_Root)\DotNetHelpers\Assemblies\.WIN32\CommonHelpers.dll</HintPath>-->
      <HintPath>..\AssemblyRef\DotNetHelpers\.WIN32\CommonHelpers.dll</HintPath>
    </Reference>
    <Reference Include="CommonHelpers.2">
      <!--<HintPath>$(HandicraftSDK_Root)\DotNetHelpers\Assemblies\.WIN32\CommonHelpers.2.dll</HintPath>-->
      <HintPath>..\AssemblyRef\DotNetHelpers\.WIN32\CommonHelpers.2.dll</HintPath>
    </Reference>
    <Reference Include="CommonHelpers.3">
      <!--<HintPath>$(HandicraftSDK_Root)\DotNetHelpers\Assemblies\.WIN32\CommonHelpers.3.dll</HintPath>-->
      <HintPath>..\AssemblyRef\DotNetHelpers\.WIN32\CommonHelpers.3.dll</HintPath>
    </Reference>
<!--
    <ProjectReference Include="..\Client\BookRegistry.Client.csproj">
      <Name>BookRegistry.Client</Name>
      <ReferenceOutputAssembly></ReferenceOutputAssembly>
    </ProjectReference>
-->
<!--
    <Reference Include="BookRegistry.Client">
      <HintPath>..\AssemblyRef\BookRegistry.Client.dll</HintPath>
    </Reference>
    <Reference Include="AFXUI">
      <HintPath>..\AssemblyRef\AFXUI.dll</HintPath>
    </Reference>
    <Reference Include="CommonHelpers.WASM">
      <HintPath>$(HandicraftSDK_Root)\DotNetHelpers\Assemblies\.WASM\CommonHelpers.WASM.dll</HintPath>
    </Reference>
-->
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="5.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.8.2" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\SHARED\**\*.cs" Exclude="..\SHARED\**\*.wasm.cs" />
    <Compile Include="..\..\SQL (DB-modelling)\Application procedures\**\*.cs" Exclude="..\..\SQL (DB-modelling)\Application procedures\**\*.wasm.cs" />
  </ItemGroup>

  <ItemGroup>
    <!--<None Include="..\Client\bin\$(Configuration)\$(_ClientFrameworkFolderName_)\BookRegistry.Client.StaticWebAssets.xml" Link="BookRegistry.Client.StaticWebAssets.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>-->
    <!--<None Include="..\AssemblyRef\BookRegistry.Client.StaticWebAssets.xml" Link="BookRegistry.Client.StaticWebAssets.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>-->
  </ItemGroup>

  <ItemGroup>
    <None Remove="*.cmd" />
    <None Remove="*.bak" />
  </ItemGroup>

</Project>
